/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.xwiki.configuration.internal;

import javax.inject.Named;
import javax.inject.Singleton;

import org.xwiki.component.annotation.Component;
import org.xwiki.configuration.ConfigurationSource;

/**
 * Provide an empty Restricted Configuration Source if a default one cannot be looked-up. A Restricted Configuration
 * Source is a source that cannot be modified dynamically.
 *
 * @version $Id: 40be19de6835d9b4eba3c8531412f7570903b7c9 $
 * @since 4.1M2
 */
@Component
@Named("restricted")
@Singleton
public class RestrictedConfigurationSourceProvider extends AbstractConfigurationSourceProvider
{
    @Override
    public ConfigurationSource get()
    {
        return get("restricted");
    }
}
