/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.xwiki.extension.version;

import java.util.Collection;

/**
 * Extends {@link VersionRange} to as a list of {@link VersionRange}.
 *
 * @version $Id: 6b2f8e1ce409a1f1522ff14ba2b32f3c73c69d22 $
 * @since 4.0M1
 */
public interface VersionRangeCollection extends VersionRange
{
    /**
     * Gets the version ranges.
     *
     * @return the version ranges, never null.
     */
    Collection<VersionRange> getRanges();
}
