/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.xwiki.logging;

import org.junit.jupiter.api.Test;
import org.xwiki.logging.test.Utils;

import static org.junit.jupiter.api.Assertions.assertTrue;

/**
 * Test {@link CompositeLogger}.
 *
 * @version $Id: 12910b86806fb58024944734ed8b6c8d3af8e31e $
 */
public class CompositeLoggerTest
{
    @Test
    void test()
    {
        LogTree logTree = new LogTree();
        LogQueue logQueue = new LogQueue();

        Logger logger = new CompositeLogger(logQueue, logTree);

        assertTrue(logger.isTraceEnabled());
        assertTrue(logger.isDebugEnabled());
        assertTrue(logger.isInfoEnabled());
        assertTrue(logger.isWarnEnabled());
        assertTrue(logger.isErrorEnabled());

        Utils.populateLogger(logger);

        Utils.validateLogger(logQueue.iterator());
        Utils.validateLogger(logTree.iterator(true));
    }
}
